BidirectionalMap
Keywords: uk.ac.ic.doc.automed.matching.BidirectionalMap class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class BidirectionalMap

    java.lang.Object
      uk.ac.ic.doc.automed.matching.BidirectionalMap

    public class BidirectionalMap

extends java.lang.Object

The BidirectionalMap class represents the map that defines the areas for each semantic relationship.

See Also:
  `SemanticRelationship`, `BidirectionalDegree`

Constructor Summary
`BidirectionalMap(double eqThreshold, double overThreshold, double disThreshold)` Constructs a `BidirectionalMap` object based on the specified thresholds.

Method Summary
`SemanticRelationship` | `getRelationship(BidirectionalDegree degree)` Returns the `SemanticRelationship` object based on the specified bidirectional degree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BidirectionalMap

    public BidirectionalMap(double eqThreshold,
                            double overThreshold,
                            double disThreshold)

  Constructs a `BidirectionalMap` object based on the specified thresholds.

  Parameters:
    `eqThreshold` - the equivalence threshold
    `overThreshold` - the overlapness threshold
    `disThreshold` - the disjointness threshold

Method Detail

### getRelationship

    public SemanticRelationship getRelationship(BidirectionalDegree degree)

  Returns the `SemanticRelationship` object based on the specified bidirectional degree. The bidirectional degree `degree` falls in a specific area of the map which based on the thresholds defines a specific semantic relationship.

  Parameters:
    `degree` - the bidirectional degree
  Returns:
    the `SemanticRelationship` object for the specified degree

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD